### Generated file, do not edit, run make dep ###

abstract.o: abstract.c config.h hierarchy.h ../libcschem/concrete.h \
 ../libcschem/common_types.h ../libcschem/config.h ../libcschem/rtree.h \
 ../libcschem/attrib.h ../libcschem/oidpath.h ../libcschem/vtoid.h \
 ../../src_3rd/libuundo/uundo.h ../../src_3rd/libminuid/libminuid.h \
 ../../src_3rd/gengeo2d/typecfg_long_double.h ../../src_3rd/opc89.h \
 ../../src_3rd/gengeo2d/common.h ../../src_3rd/gengeo2d/prim.h \
 ../libcschem/abstract.h ../libcschem/TODO.h abstract.h abs_net.c \
 abs_comp.c
actions_csch.o: actions_csch.c config.h actions_csch.h oidpath.h \
 ../libcschem/vtoid.h ../libcschem/common_types.h ../libcschem/config.h
attrib.o: attrib.c config.h ../libcschem/common_types.h \
 ../libcschem/config.h attrib.h cnc_obj.h event.h cnc_pen.h \
 ../libcschem/concrete.h ../libcschem/rtree.h ../libcschem/attrib.h \
 ../libcschem/oidpath.h ../libcschem/vtoid.h \
 ../../src_3rd/libuundo/uundo.h ../../src_3rd/libminuid/libminuid.h \
 ../../src_3rd/gengeo2d/typecfg_long_double.h ../../src_3rd/opc89.h \
 ../../src_3rd/gengeo2d/common.h ../../src_3rd/gengeo2d/prim.h cnc_text.h \
 ../libcschem/cnc_text_dyn.h ../libcschem/cnc_text.h cnc_grp.h undo.h \
 concrete.h abstract.h TODO.h project.h ../libcschem/engine.h \
 ../libcschem/abstract.h extobj.h attrib_src.c
cnc_any_obj.o: cnc_any_obj.c config.h cnc_any_obj.h concrete.h \
 ../libcschem/common_types.h ../libcschem/config.h ../libcschem/rtree.h \
 ../libcschem/attrib.h ../libcschem/oidpath.h ../libcschem/vtoid.h \
 ../../src_3rd/libuundo/uundo.h ../../src_3rd/libminuid/libminuid.h \
 ../../src_3rd/gengeo2d/typecfg_long_double.h ../../src_3rd/opc89.h \
 ../../src_3rd/gengeo2d/common.h ../../src_3rd/gengeo2d/prim.h event.h \
 cnc_arc.h ../libcschem/concrete.h cnc_bitmap.h cnc_conn.h \
 ../libcschem/vtoidpath.h cnc_grp.h cnc_line.h cnc_text.h \
 ../libcschem/cnc_text_dyn.h ../libcschem/cnc_text.h cnc_obj.h attrib.h \
 cnc_pen.h cnc_poly.h ../libcschem/vtcoutline.h ../libcschem/cnc_arc.h \
 ../libcschem/cnc_line.h undo.h extobj.h
cnc_arc.o: cnc_arc.c config.h event.h concrete.h \
 ../libcschem/common_types.h ../libcschem/config.h ../libcschem/rtree.h \
 ../libcschem/attrib.h ../libcschem/oidpath.h ../libcschem/vtoid.h \
 ../../src_3rd/libuundo/uundo.h ../../src_3rd/libminuid/libminuid.h \
 ../../src_3rd/gengeo2d/typecfg_long_double.h ../../src_3rd/opc89.h \
 ../../src_3rd/gengeo2d/common.h ../../src_3rd/gengeo2d/prim.h cnc_arc.h \
 ../libcschem/concrete.h cnc_obj.h attrib.h cnc_pen.h cnc_text.h \
 ../libcschem/cnc_text_dyn.h ../libcschem/cnc_text.h cnc_grp_child.h \
 ../libcschem/cnc_any_obj.h ../libcschem/concrete.h ../libcschem/rotate.h \
 ../../src_3rd/gengeo2d/xform.h ../../src_3rd/gengeo2d/vect.h op_common.h \
 operation.h undo.h rotate.h ../../src_3rd/gengeo2d/sarc.h \
 ../../src_3rd/gengeo2d/carc.h ../../src_3rd/gengeo2d/box.h
cnc_bitmap.o: cnc_bitmap.c config.h event.h concrete.h \
 ../libcschem/common_types.h ../libcschem/config.h ../libcschem/rtree.h \
 ../libcschem/attrib.h ../libcschem/oidpath.h ../libcschem/vtoid.h \
 ../../src_3rd/libuundo/uundo.h ../../src_3rd/libminuid/libminuid.h \
 ../../src_3rd/gengeo2d/typecfg_long_double.h ../../src_3rd/opc89.h \
 ../../src_3rd/gengeo2d/common.h ../../src_3rd/gengeo2d/prim.h cnc_obj.h \
 attrib.h cnc_pen.h ../libcschem/concrete.h cnc_text.h \
 ../libcschem/cnc_text_dyn.h ../libcschem/cnc_text.h cnc_bitmap.h \
 op_common.h operation.h
cnc_conn.o: cnc_conn.c config.h event.h concrete.h \
 ../libcschem/common_types.h ../libcschem/config.h ../libcschem/rtree.h \
 ../libcschem/attrib.h ../libcschem/oidpath.h ../libcschem/vtoid.h \
 ../../src_3rd/libuundo/uundo.h ../../src_3rd/libminuid/libminuid.h \
 ../../src_3rd/gengeo2d/typecfg_long_double.h ../../src_3rd/opc89.h \
 ../../src_3rd/gengeo2d/common.h ../../src_3rd/gengeo2d/prim.h cnc_obj.h \
 attrib.h cnc_pen.h ../libcschem/concrete.h cnc_text.h \
 ../libcschem/cnc_text_dyn.h ../libcschem/cnc_text.h cnc_conn.h \
 ../libcschem/vtoidpath.h cnc_line.h cnc_arc.h op_common.h operation.h \
 intersect.h undo.h ../../src_3rd/gengeo2d/cline.h \
 ../../src_3rd/gengeo2d/vect.h ../../src_3rd/gengeo2d/box.h \
 ../../src_3rd/gengeo2d/carc.h ../../src_3rd/gengeo2d/intersect.h \
 ../../src_3rd/gengeo2d/sline.h ../../src_3rd/gengeo2d/sarc.h
cnc_grp.o: cnc_grp.c config.h concrete.h ../libcschem/common_types.h \
 ../libcschem/config.h ../libcschem/rtree.h ../libcschem/attrib.h \
 ../libcschem/oidpath.h ../libcschem/vtoid.h \
 ../../src_3rd/libuundo/uundo.h ../../src_3rd/libminuid/libminuid.h \
 ../../src_3rd/gengeo2d/typecfg_long_double.h ../../src_3rd/opc89.h \
 ../../src_3rd/gengeo2d/common.h ../../src_3rd/gengeo2d/prim.h \
 ../../src_3rd/gengeo2d/xform.h ../../src_3rd/gengeo2d/vect.h \
 ../../src_3rd/gengeo2d/box.h event.h cnc_grp.h ../libcschem/concrete.h \
 cnc_grp_child.h ../libcschem/cnc_any_obj.h ../libcschem/concrete.h \
 ../libcschem/rotate.h cnc_conn.h ../libcschem/vtoidpath.h cnc_obj.h \
 attrib.h cnc_pen.h cnc_text.h ../libcschem/cnc_text_dyn.h \
 ../libcschem/cnc_text.h cnc_any_obj.h cnc_loop.h op_common.h operation.h \
 undo.h util_grp.h rotate.h project.h ../libcschem/engine.h \
 ../libcschem/abstract.h ../libcschem/TODO.h abstract.h libcschem.h \
 extobj.h cnc_grp_ref.c
cnc_line.o: cnc_line.c config.h event.h concrete.h \
 ../libcschem/common_types.h ../libcschem/config.h ../libcschem/rtree.h \
 ../libcschem/attrib.h ../libcschem/oidpath.h ../libcschem/vtoid.h \
 ../../src_3rd/libuundo/uundo.h ../../src_3rd/libminuid/libminuid.h \
 ../../src_3rd/gengeo2d/typecfg_long_double.h ../../src_3rd/opc89.h \
 ../../src_3rd/gengeo2d/common.h ../../src_3rd/gengeo2d/prim.h cnc_line.h \
 ../libcschem/concrete.h cnc_obj.h attrib.h cnc_pen.h cnc_text.h \
 ../libcschem/cnc_text_dyn.h ../libcschem/cnc_text.h cnc_grp_child.h \
 ../libcschem/cnc_any_obj.h ../libcschem/concrete.h ../libcschem/rotate.h \
 ../../src_3rd/gengeo2d/xform.h ../../src_3rd/gengeo2d/vect.h cnc_grp.h \
 cnc_conn.h ../libcschem/vtoidpath.h op_common.h operation.h undo.h \
 rotate.h util_wirenet.h ../libcschem/cnc_line.h \
 ../../src_3rd/gengeo2d/sline.h ../../src_3rd/gengeo2d/box.h \
 ../../src_3rd/gengeo2d/cline.h
cnc_obj.o: cnc_obj.c config.h event.h undo.h concrete.h \
 ../libcschem/common_types.h ../libcschem/config.h ../libcschem/rtree.h \
 ../libcschem/attrib.h ../libcschem/oidpath.h ../libcschem/vtoid.h \
 ../../src_3rd/libuundo/uundo.h ../../src_3rd/libminuid/libminuid.h \
 ../../src_3rd/gengeo2d/typecfg_long_double.h ../../src_3rd/opc89.h \
 ../../src_3rd/gengeo2d/common.h ../../src_3rd/gengeo2d/prim.h cnc_obj.h \
 attrib.h cnc_pen.h ../libcschem/concrete.h cnc_text.h \
 ../libcschem/cnc_text_dyn.h ../libcschem/cnc_text.h cnc_poly.h \
 ../libcschem/vtcoutline.h ../libcschem/cnc_arc.h ../libcschem/cnc_line.h
cnc_pen.o: cnc_pen.c config.h event.h concrete.h \
 ../libcschem/common_types.h ../libcschem/config.h ../libcschem/rtree.h \
 ../libcschem/attrib.h ../libcschem/oidpath.h ../libcschem/vtoid.h \
 ../../src_3rd/libuundo/uundo.h ../../src_3rd/libminuid/libminuid.h \
 ../../src_3rd/gengeo2d/typecfg_long_double.h ../../src_3rd/opc89.h \
 ../../src_3rd/gengeo2d/common.h ../../src_3rd/gengeo2d/prim.h cnc_obj.h \
 attrib.h cnc_pen.h ../libcschem/concrete.h cnc_text.h \
 ../libcschem/cnc_text_dyn.h ../libcschem/cnc_text.h cnc_any_obj.h undo.h \
 op_common.h operation.h
cnc_poly.o: cnc_poly.c config.h event.h concrete.h \
 ../libcschem/common_types.h ../libcschem/config.h ../libcschem/rtree.h \
 ../libcschem/attrib.h ../libcschem/oidpath.h ../libcschem/vtoid.h \
 ../../src_3rd/libuundo/uundo.h ../../src_3rd/libminuid/libminuid.h \
 ../../src_3rd/gengeo2d/typecfg_long_double.h ../../src_3rd/opc89.h \
 ../../src_3rd/gengeo2d/common.h ../../src_3rd/gengeo2d/prim.h cnc_obj.h \
 attrib.h cnc_pen.h ../libcschem/concrete.h cnc_text.h \
 ../libcschem/cnc_text_dyn.h ../libcschem/cnc_text.h cnc_any_obj.h \
 cnc_arc.h operation.h op_common.h ../../src_3rd/gengeo2d/box.h \
 ../../src_3rd/gengeo2d/vect.h ../../src_3rd/gengeo2d/xform.h undo.h \
 rotate.h cnc_poly.h ../libcschem/vtcoutline.h ../libcschem/cnc_arc.h \
 ../libcschem/cnc_line.h
cnc_text.o: cnc_text.c config.h event.h concrete.h \
 ../libcschem/common_types.h ../libcschem/config.h ../libcschem/rtree.h \
 ../libcschem/attrib.h ../libcschem/oidpath.h ../libcschem/vtoid.h \
 ../../src_3rd/libuundo/uundo.h ../../src_3rd/libminuid/libminuid.h \
 ../../src_3rd/gengeo2d/typecfg_long_double.h ../../src_3rd/opc89.h \
 ../../src_3rd/gengeo2d/common.h ../../src_3rd/gengeo2d/prim.h cnc_text.h \
 ../libcschem/concrete.h ../libcschem/cnc_text_dyn.h \
 ../libcschem/cnc_text.h cnc_obj.h attrib.h cnc_pen.h cnc_grp.h \
 cnc_grp_child.h ../libcschem/cnc_any_obj.h ../libcschem/concrete.h \
 ../libcschem/rotate.h ../../src_3rd/gengeo2d/xform.h \
 ../../src_3rd/gengeo2d/vect.h op_common.h operation.h undo.h rotate.h \
 project.h ../libcschem/engine.h ../libcschem/abstract.h \
 ../libcschem/TODO.h triangle.h ../../src_3rd/gengeo2d/box.h \
 ../../src_3rd/gengeo2d/cline.h
cnc_text_dyn.o: cnc_text_dyn.c config.h abstract.h \
 ../libcschem/common_types.h ../libcschem/config.h ../libcschem/attrib.h \
 TODO.h cnc_text.h ../libcschem/concrete.h ../libcschem/rtree.h \
 ../libcschem/oidpath.h ../libcschem/vtoid.h \
 ../../src_3rd/libuundo/uundo.h ../../src_3rd/libminuid/libminuid.h \
 ../../src_3rd/gengeo2d/typecfg_long_double.h ../../src_3rd/opc89.h \
 ../../src_3rd/gengeo2d/common.h ../../src_3rd/gengeo2d/prim.h \
 ../libcschem/cnc_text_dyn.h ../libcschem/cnc_text.h cnc_grp.h \
 cnc_text_dyn.h project.h ../libcschem/engine.h ../libcschem/abstract.h
compile.o: compile.c config.h abstract.h ../libcschem/common_types.h \
 ../libcschem/config.h ../libcschem/attrib.h TODO.h actions_csch.h \
 concrete.h ../libcschem/rtree.h ../libcschem/oidpath.h \
 ../libcschem/vtoid.h ../../src_3rd/libuundo/uundo.h \
 ../../src_3rd/libminuid/libminuid.h \
 ../../src_3rd/gengeo2d/typecfg_long_double.h ../../src_3rd/opc89.h \
 ../../src_3rd/gengeo2d/common.h ../../src_3rd/gengeo2d/prim.h event.h \
 cnc_line.h ../libcschem/concrete.h cnc_arc.h cnc_poly.h \
 ../libcschem/vtcoutline.h ../libcschem/cnc_arc.h ../libcschem/cnc_line.h \
 cnc_text.h ../libcschem/cnc_text_dyn.h ../libcschem/cnc_text.h \
 cnc_bitmap.h cnc_conn.h ../libcschem/vtoidpath.h cnc_grp.h cnc_pen.h \
 cnc_obj.h attrib.h engine.h ../libcschem/abstract.h project.h \
 ../libcschem/engine.h util_compile.h util_project.h libcschem.h \
 non_graphical.h ../libcschem/hierarchy.h hierarchy.h compile.h \
 ../libcschem/project.h
concrete.o: concrete.c concrete.h ../libcschem/common_types.h \
 ../libcschem/config.h ../libcschem/rtree.h ../libcschem/attrib.h \
 ../libcschem/oidpath.h ../libcschem/vtoid.h \
 ../../src_3rd/libuundo/uundo.h ../../src_3rd/libminuid/libminuid.h \
 ../../src_3rd/gengeo2d/typecfg_long_double.h ../../src_3rd/opc89.h \
 ../../src_3rd/gengeo2d/common.h ../../src_3rd/gengeo2d/prim.h event.h \
 cnc_obj.h attrib.h cnc_pen.h ../libcschem/concrete.h cnc_text.h \
 ../libcschem/cnc_text_dyn.h ../libcschem/cnc_text.h cnc_grp.h \
 non_graphical.h ../libcschem/hierarchy.h ../libcschem/abstract.h \
 ../libcschem/TODO.h project.h ../libcschem/engine.h plug_library.h
csch_printf.o: csch_printf.c config.h csch_printf.h
drc.o: drc.c config.h actions_csch.h drc.h ../libcschem/concrete.h \
 ../libcschem/common_types.h ../libcschem/config.h ../libcschem/rtree.h \
 ../libcschem/attrib.h ../libcschem/oidpath.h ../libcschem/vtoid.h \
 ../../src_3rd/libuundo/uundo.h ../../src_3rd/libminuid/libminuid.h \
 ../../src_3rd/gengeo2d/typecfg_long_double.h ../../src_3rd/opc89.h \
 ../../src_3rd/gengeo2d/common.h ../../src_3rd/gengeo2d/prim.h event.h
engine.o: engine.c config.h actions_csch.h project.h \
 ../libcschem/common_types.h ../libcschem/config.h \
 ../libcschem/concrete.h ../libcschem/rtree.h ../libcschem/attrib.h \
 ../libcschem/oidpath.h ../libcschem/vtoid.h \
 ../../src_3rd/libuundo/uundo.h ../../src_3rd/libminuid/libminuid.h \
 ../../src_3rd/gengeo2d/typecfg_long_double.h ../../src_3rd/opc89.h \
 ../../src_3rd/gengeo2d/common.h ../../src_3rd/gengeo2d/prim.h \
 ../libcschem/engine.h ../libcschem/abstract.h ../libcschem/TODO.h \
 engine.h
event.o: event.c event.h
extobj.o: extobj.c config.h cnc_grp.h ../libcschem/concrete.h \
 ../libcschem/common_types.h ../libcschem/config.h ../libcschem/rtree.h \
 ../libcschem/attrib.h ../libcschem/oidpath.h ../libcschem/vtoid.h \
 ../../src_3rd/libuundo/uundo.h ../../src_3rd/libminuid/libminuid.h \
 ../../src_3rd/gengeo2d/typecfg_long_double.h ../../src_3rd/opc89.h \
 ../../src_3rd/gengeo2d/common.h ../../src_3rd/gengeo2d/prim.h extobj.h
hierarchy.o: hierarchy.c config.h concrete.h ../libcschem/common_types.h \
 ../libcschem/config.h ../libcschem/rtree.h ../libcschem/attrib.h \
 ../libcschem/oidpath.h ../libcschem/vtoid.h \
 ../../src_3rd/libuundo/uundo.h ../../src_3rd/libminuid/libminuid.h \
 ../../src_3rd/gengeo2d/typecfg_long_double.h ../../src_3rd/opc89.h \
 ../../src_3rd/gengeo2d/common.h ../../src_3rd/gengeo2d/prim.h cnc_grp.h \
 ../libcschem/concrete.h project.h ../libcschem/engine.h \
 ../libcschem/abstract.h ../libcschem/TODO.h plug_library.h hierarchy.h
htPo.o: htPo.c htPo.h config.h \
 ../../src_3rd/gengeo2d/typecfg_long_double.h ../../src_3rd/opc89.h \
 ../../src_3rd/gengeo2d/common.h ../../src_3rd/gengeo2d/prim.h
htepu.o: htepu.c htepu.h config.h concrete.h ../libcschem/common_types.h \
 ../libcschem/config.h ../libcschem/rtree.h ../libcschem/attrib.h \
 ../libcschem/oidpath.h ../libcschem/vtoid.h \
 ../../src_3rd/libuundo/uundo.h ../../src_3rd/libminuid/libminuid.h \
 ../../src_3rd/gengeo2d/typecfg_long_double.h ../../src_3rd/opc89.h \
 ../../src_3rd/gengeo2d/common.h ../../src_3rd/gengeo2d/prim.h
integrity.o: integrity.c config.h project.h ../libcschem/common_types.h \
 ../libcschem/config.h ../libcschem/concrete.h ../libcschem/rtree.h \
 ../libcschem/attrib.h ../libcschem/oidpath.h ../libcschem/vtoid.h \
 ../../src_3rd/libuundo/uundo.h ../../src_3rd/libminuid/libminuid.h \
 ../../src_3rd/gengeo2d/typecfg_long_double.h ../../src_3rd/opc89.h \
 ../../src_3rd/gengeo2d/common.h ../../src_3rd/gengeo2d/prim.h \
 ../libcschem/engine.h ../libcschem/abstract.h ../libcschem/TODO.h \
 cnc_any_obj.h concrete.h cnc_conn.h ../libcschem/vtoidpath.h intersect.h \
 integrity.h
intersect.o: intersect.c config.h concrete.h ../libcschem/common_types.h \
 ../libcschem/config.h ../libcschem/rtree.h ../libcschem/attrib.h \
 ../libcschem/oidpath.h ../libcschem/vtoid.h \
 ../../src_3rd/libuundo/uundo.h ../../src_3rd/libminuid/libminuid.h \
 ../../src_3rd/gengeo2d/typecfg_long_double.h ../../src_3rd/opc89.h \
 ../../src_3rd/gengeo2d/common.h ../../src_3rd/gengeo2d/prim.h cnc_line.h \
 ../libcschem/concrete.h cnc_arc.h cnc_poly.h ../libcschem/vtcoutline.h \
 ../libcschem/cnc_arc.h ../libcschem/cnc_line.h cnc_grp.h \
 ../../src_3rd/gengeo2d/cline.h ../../src_3rd/gengeo2d/vect.h \
 ../../src_3rd/gengeo2d/box.h ../../src_3rd/gengeo2d/carc.h \
 ../../src_3rd/gengeo2d/intersect.h ../../src_3rd/gengeo2d/sline.h \
 ../../src_3rd/gengeo2d/sarc.h intersect.h
libcschem.o: libcschem.c config.h libcschem.h \
 ../../src_3rd/libminuid/libminuid.h buildin.h project_act.h project.h \
 ../libcschem/common_types.h ../libcschem/config.h \
 ../libcschem/concrete.h ../libcschem/rtree.h ../libcschem/attrib.h \
 ../libcschem/oidpath.h ../libcschem/vtoid.h \
 ../../src_3rd/libuundo/uundo.h \
 ../../src_3rd/gengeo2d/typecfg_long_double.h ../../src_3rd/opc89.h \
 ../../src_3rd/gengeo2d/common.h ../../src_3rd/gengeo2d/prim.h \
 ../libcschem/engine.h ../libcschem/abstract.h ../libcschem/TODO.h \
 project_p4.h ../libcschem/project.h plug_library.h plug_io.h integrity.h \
 concrete.h undo.h actions_csch.h drc.h extobj.h
non_graphical.o: non_graphical.c config.h concrete.h \
 ../libcschem/common_types.h ../libcschem/config.h ../libcschem/rtree.h \
 ../libcschem/attrib.h ../libcschem/oidpath.h ../libcschem/vtoid.h \
 ../../src_3rd/libuundo/uundo.h ../../src_3rd/libminuid/libminuid.h \
 ../../src_3rd/gengeo2d/typecfg_long_double.h ../../src_3rd/opc89.h \
 ../../src_3rd/gengeo2d/common.h ../../src_3rd/gengeo2d/prim.h \
 non_graphical.h ../libcschem/hierarchy.h ../libcschem/concrete.h \
 ../libcschem/abstract.h ../libcschem/TODO.h
oidpath.o: oidpath.c config.h oidpath.h ../libcschem/vtoid.h \
 ../libcschem/common_types.h ../libcschem/config.h concrete.h \
 ../libcschem/rtree.h ../libcschem/attrib.h ../libcschem/oidpath.h \
 ../../src_3rd/libuundo/uundo.h ../../src_3rd/libminuid/libminuid.h \
 ../../src_3rd/gengeo2d/typecfg_long_double.h ../../src_3rd/opc89.h \
 ../../src_3rd/gengeo2d/common.h ../../src_3rd/gengeo2d/prim.h
op_common.o: op_common.c config.h event.h cnc_obj.h attrib.h \
 ../libcschem/common_types.h ../libcschem/config.h cnc_pen.h \
 ../libcschem/concrete.h ../libcschem/rtree.h ../libcschem/attrib.h \
 ../libcschem/oidpath.h ../libcschem/vtoid.h \
 ../../src_3rd/libuundo/uundo.h ../../src_3rd/libminuid/libminuid.h \
 ../../src_3rd/gengeo2d/typecfg_long_double.h ../../src_3rd/opc89.h \
 ../../src_3rd/gengeo2d/common.h ../../src_3rd/gengeo2d/prim.h cnc_text.h \
 ../libcschem/cnc_text_dyn.h ../libcschem/cnc_text.h operation.h \
 concrete.h cnc_conn.h ../libcschem/vtoidpath.h undo.h util_wirenet.h \
 ../libcschem/cnc_line.h extobj.h op_common.h
operation.o: operation.c config.h concrete.h ../libcschem/common_types.h \
 ../libcschem/config.h ../libcschem/rtree.h ../libcschem/attrib.h \
 ../libcschem/oidpath.h ../libcschem/vtoid.h \
 ../../src_3rd/libuundo/uundo.h ../../src_3rd/libminuid/libminuid.h \
 ../../src_3rd/gengeo2d/typecfg_long_double.h ../../src_3rd/opc89.h \
 ../../src_3rd/gengeo2d/common.h ../../src_3rd/gengeo2d/prim.h \
 ../../src_3rd/gengeo2d/xform.h ../../src_3rd/gengeo2d/vect.h event.h \
 cnc_obj.h attrib.h cnc_pen.h ../libcschem/concrete.h cnc_text.h \
 ../libcschem/cnc_text_dyn.h ../libcschem/cnc_text.h cnc_grp.h \
 cnc_grp_child.h ../libcschem/cnc_any_obj.h ../libcschem/concrete.h \
 ../libcschem/rotate.h cnc_conn.h ../libcschem/vtoidpath.h cnc_any_obj.h \
 operation.h search.h op_common.h undo.h util_wirenet.h \
 ../libcschem/cnc_line.h
plug_io.o: plug_io.c config.h cnc_grp.h ../libcschem/concrete.h \
 ../libcschem/common_types.h ../libcschem/config.h ../libcschem/rtree.h \
 ../libcschem/attrib.h ../libcschem/oidpath.h ../libcschem/vtoid.h \
 ../../src_3rd/libuundo/uundo.h ../../src_3rd/libminuid/libminuid.h \
 ../../src_3rd/gengeo2d/typecfg_long_double.h ../../src_3rd/opc89.h \
 ../../src_3rd/gengeo2d/common.h ../../src_3rd/gengeo2d/prim.h cnc_obj.h \
 event.h attrib.h cnc_pen.h cnc_text.h ../libcschem/cnc_text_dyn.h \
 ../libcschem/cnc_text.h cnc_any_obj.h concrete.h plug_io.h \
 ../libcschem/abstract.h ../libcschem/TODO.h project.h \
 ../libcschem/engine.h integrity.h
plug_library.o: plug_library.c config.h concrete.h \
 ../libcschem/common_types.h ../libcschem/config.h ../libcschem/rtree.h \
 ../libcschem/attrib.h ../libcschem/oidpath.h ../libcschem/vtoid.h \
 ../../src_3rd/libuundo/uundo.h ../../src_3rd/libminuid/libminuid.h \
 ../../src_3rd/gengeo2d/typecfg_long_double.h ../../src_3rd/opc89.h \
 ../../src_3rd/gengeo2d/common.h ../../src_3rd/gengeo2d/prim.h cnc_obj.h \
 event.h attrib.h cnc_pen.h ../libcschem/concrete.h cnc_text.h \
 ../libcschem/cnc_text_dyn.h ../libcschem/cnc_text.h plug_library.h
project.o: project.c config.h project.h ../libcschem/common_types.h \
 ../libcschem/config.h ../libcschem/concrete.h ../libcschem/rtree.h \
 ../libcschem/attrib.h ../libcschem/oidpath.h ../libcschem/vtoid.h \
 ../../src_3rd/libuundo/uundo.h ../../src_3rd/libminuid/libminuid.h \
 ../../src_3rd/gengeo2d/typecfg_long_double.h ../../src_3rd/opc89.h \
 ../../src_3rd/gengeo2d/common.h ../../src_3rd/gengeo2d/prim.h \
 ../libcschem/engine.h ../libcschem/abstract.h ../libcschem/TODO.h \
 libcschem.h plug_io.h event.h project_p4.h ../libcschem/project.h
project_act.o: project_act.c config.h event.h project.h \
 ../libcschem/common_types.h ../libcschem/config.h \
 ../libcschem/concrete.h ../libcschem/rtree.h ../libcschem/attrib.h \
 ../libcschem/oidpath.h ../libcschem/vtoid.h \
 ../../src_3rd/libuundo/uundo.h ../../src_3rd/libminuid/libminuid.h \
 ../../src_3rd/gengeo2d/typecfg_long_double.h ../../src_3rd/opc89.h \
 ../../src_3rd/gengeo2d/common.h ../../src_3rd/gengeo2d/prim.h \
 ../libcschem/engine.h ../libcschem/abstract.h ../libcschem/TODO.h \
 compile.h ../libcschem/project.h project_act.h
project_p4.o: project_p4.c project_p4.h ../libcschem/project.h \
 ../libcschem/common_types.h ../libcschem/config.h \
 ../libcschem/concrete.h ../libcschem/rtree.h ../libcschem/attrib.h \
 ../libcschem/oidpath.h ../libcschem/vtoid.h \
 ../../src_3rd/libuundo/uundo.h ../../src_3rd/libminuid/libminuid.h \
 ../../src_3rd/gengeo2d/typecfg_long_double.h ../../src_3rd/opc89.h \
 ../../src_3rd/gengeo2d/common.h ../../src_3rd/gengeo2d/prim.h \
 ../libcschem/engine.h ../libcschem/abstract.h ../libcschem/TODO.h
rtree.o: rtree.c rtree.h ../libcschem/common_types.h \
 ../libcschem/config.h
search.o: search.c config.h operation.h concrete.h \
 ../libcschem/common_types.h ../libcschem/config.h ../libcschem/rtree.h \
 ../libcschem/attrib.h ../libcschem/oidpath.h ../libcschem/vtoid.h \
 ../../src_3rd/libuundo/uundo.h ../../src_3rd/libminuid/libminuid.h \
 ../../src_3rd/gengeo2d/typecfg_long_double.h ../../src_3rd/opc89.h \
 ../../src_3rd/gengeo2d/common.h ../../src_3rd/gengeo2d/prim.h search.h \
 ../libcschem/concrete.h cnc_obj.h event.h attrib.h cnc_pen.h cnc_text.h \
 ../libcschem/cnc_text_dyn.h ../libcschem/cnc_text.h
triangle.o: triangle.c config.h triangle.h \
 ../../src_3rd/gengeo2d/typecfg_long_double.h ../../src_3rd/opc89.h \
 ../../src_3rd/gengeo2d/common.h ../../src_3rd/gengeo2d/prim.h
undo.o: undo.c config.h event.h cnc_obj.h attrib.h \
 ../libcschem/common_types.h ../libcschem/config.h cnc_pen.h \
 ../libcschem/concrete.h ../libcschem/rtree.h ../libcschem/attrib.h \
 ../libcschem/oidpath.h ../libcschem/vtoid.h \
 ../../src_3rd/libuundo/uundo.h ../../src_3rd/libminuid/libminuid.h \
 ../../src_3rd/gengeo2d/typecfg_long_double.h ../../src_3rd/opc89.h \
 ../../src_3rd/gengeo2d/common.h ../../src_3rd/gengeo2d/prim.h cnc_text.h \
 ../libcschem/cnc_text_dyn.h ../libcschem/cnc_text.h undo.h concrete.h
util_abst.o: util_abst.c config.h util_abst.h ../libcschem/concrete.h \
 ../libcschem/common_types.h ../libcschem/config.h ../libcschem/rtree.h \
 ../libcschem/attrib.h ../libcschem/oidpath.h ../libcschem/vtoid.h \
 ../../src_3rd/libuundo/uundo.h ../../src_3rd/libminuid/libminuid.h \
 ../../src_3rd/gengeo2d/typecfg_long_double.h ../../src_3rd/opc89.h \
 ../../src_3rd/gengeo2d/common.h ../../src_3rd/gengeo2d/prim.h \
 ../libcschem/abstract.h ../libcschem/TODO.h
util_compile.o: util_compile.c config.h abstract.h \
 ../libcschem/common_types.h ../libcschem/config.h ../libcschem/attrib.h \
 TODO.h compile.h ../libcschem/abstract.h ../libcschem/concrete.h \
 ../libcschem/rtree.h ../libcschem/oidpath.h ../libcschem/vtoid.h \
 ../../src_3rd/libuundo/uundo.h ../../src_3rd/libminuid/libminuid.h \
 ../../src_3rd/gengeo2d/typecfg_long_double.h ../../src_3rd/opc89.h \
 ../../src_3rd/gengeo2d/common.h ../../src_3rd/gengeo2d/prim.h \
 ../libcschem/project.h ../libcschem/engine.h libcschem.h engine.h \
 actions_csch.h util_compile.h
util_endpoint.o: util_endpoint.c config.h cnc_line.h \
 ../libcschem/concrete.h ../libcschem/common_types.h \
 ../libcschem/config.h ../libcschem/rtree.h ../libcschem/attrib.h \
 ../libcschem/oidpath.h ../libcschem/vtoid.h \
 ../../src_3rd/libuundo/uundo.h ../../src_3rd/libminuid/libminuid.h \
 ../../src_3rd/gengeo2d/typecfg_long_double.h ../../src_3rd/opc89.h \
 ../../src_3rd/gengeo2d/common.h ../../src_3rd/gengeo2d/prim.h \
 intersect.h ../../src_3rd/gengeo2d/cline.h ../../src_3rd/gengeo2d/vect.h \
 ../../src_3rd/gengeo2d/box.h util_endpoint.h ../libcschem/htepu.h \
 ../libcschem/config.h ../libcschem/concrete.h
util_export.o: util_export.c config.h concrete.h \
 ../libcschem/common_types.h ../libcschem/config.h ../libcschem/rtree.h \
 ../libcschem/attrib.h ../libcschem/oidpath.h ../libcschem/vtoid.h \
 ../../src_3rd/libuundo/uundo.h ../../src_3rd/libminuid/libminuid.h \
 ../../src_3rd/gengeo2d/typecfg_long_double.h ../../src_3rd/opc89.h \
 ../../src_3rd/gengeo2d/common.h ../../src_3rd/gengeo2d/prim.h compile.h \
 ../libcschem/abstract.h ../libcschem/TODO.h ../libcschem/concrete.h \
 ../libcschem/project.h ../libcschem/engine.h plug_io.h util_export.h
util_grp.o: util_grp.c config.h concrete.h ../libcschem/common_types.h \
 ../libcschem/config.h ../libcschem/rtree.h ../libcschem/attrib.h \
 ../libcschem/oidpath.h ../libcschem/vtoid.h \
 ../../src_3rd/libuundo/uundo.h ../../src_3rd/libminuid/libminuid.h \
 ../../src_3rd/gengeo2d/typecfg_long_double.h ../../src_3rd/opc89.h \
 ../../src_3rd/gengeo2d/common.h ../../src_3rd/gengeo2d/prim.h cnc_grp.h \
 ../libcschem/concrete.h cnc_pen.h cnc_text.h ../libcschem/cnc_text_dyn.h \
 ../libcschem/cnc_text.h cnc_any_obj.h cnc_obj.h event.h attrib.h \
 cnc_conn.h ../libcschem/vtoidpath.h operation.h op_common.h \
 util_wirenet.h ../libcschem/cnc_line.h util_grp.h
util_lib_fs.o: util_lib_fs.c config.h util_lib_fs.h \
 ../libcschem/plug_library.h ../libcschem/common_types.h \
 ../libcschem/config.h
util_loclib.o: util_loclib.c config.h ../libcschem/concrete.h \
 ../libcschem/common_types.h ../libcschem/config.h ../libcschem/rtree.h \
 ../libcschem/attrib.h ../libcschem/oidpath.h ../libcschem/vtoid.h \
 ../../src_3rd/libuundo/uundo.h ../../src_3rd/libminuid/libminuid.h \
 ../../src_3rd/gengeo2d/typecfg_long_double.h ../../src_3rd/opc89.h \
 ../../src_3rd/gengeo2d/common.h ../../src_3rd/gengeo2d/prim.h \
 ../libcschem/cnc_grp.h util_loclib.h ../libcschem/plug_library.h
util_parse.o: util_parse.c config.h ../../src_3rd/load_cache/load_cache.h \
 cnc_any_obj.h concrete.h ../libcschem/common_types.h \
 ../libcschem/config.h ../libcschem/rtree.h ../libcschem/attrib.h \
 ../libcschem/oidpath.h ../libcschem/vtoid.h \
 ../../src_3rd/libuundo/uundo.h ../../src_3rd/libminuid/libminuid.h \
 ../../src_3rd/gengeo2d/typecfg_long_double.h ../../src_3rd/opc89.h \
 ../../src_3rd/gengeo2d/common.h ../../src_3rd/gengeo2d/prim.h engine.h \
 ../libcschem/abstract.h ../libcschem/TODO.h project.h \
 ../libcschem/concrete.h ../libcschem/engine.h util_parse.h \
 ../libcschem/project.h
util_project.o: util_project.c config.h project.h \
 ../libcschem/common_types.h ../libcschem/config.h \
 ../libcschem/concrete.h ../libcschem/rtree.h ../libcschem/attrib.h \
 ../libcschem/oidpath.h ../libcschem/vtoid.h \
 ../../src_3rd/libuundo/uundo.h ../../src_3rd/libminuid/libminuid.h \
 ../../src_3rd/gengeo2d/typecfg_long_double.h ../../src_3rd/opc89.h \
 ../../src_3rd/gengeo2d/common.h ../../src_3rd/gengeo2d/prim.h \
 ../libcschem/engine.h ../libcschem/abstract.h ../libcschem/TODO.h \
 util_export.h ../libcschem/project.h util_project.h
util_wirenet.o: util_wirenet.c config.h search.h ../libcschem/concrete.h \
 ../libcschem/common_types.h ../libcschem/config.h ../libcschem/rtree.h \
 ../libcschem/attrib.h ../libcschem/oidpath.h ../libcschem/vtoid.h \
 ../../src_3rd/libuundo/uundo.h ../../src_3rd/libminuid/libminuid.h \
 ../../src_3rd/gengeo2d/typecfg_long_double.h ../../src_3rd/opc89.h \
 ../../src_3rd/gengeo2d/common.h ../../src_3rd/gengeo2d/prim.h \
 operation.h concrete.h cnc_line.h cnc_grp.h cnc_pen.h cnc_conn.h \
 ../libcschem/vtoidpath.h cnc_text.h ../libcschem/cnc_text_dyn.h \
 ../libcschem/cnc_text.h cnc_text_dyn.h ../../src_3rd/gengeo2d/cline.h \
 ../../src_3rd/gengeo2d/vect.h ../../src_3rd/gengeo2d/box.h \
 ../../src_3rd/gengeo2d/xform.h htPo.h intersect.h util_wirenet.h \
 ../libcschem/cnc_line.h
vtcoutline.o: vtcoutline.c ../libcschem/concrete.h \
 ../libcschem/common_types.h ../libcschem/config.h ../libcschem/rtree.h \
 ../libcschem/attrib.h ../libcschem/oidpath.h ../libcschem/vtoid.h \
 ../../src_3rd/libuundo/uundo.h ../../src_3rd/libminuid/libminuid.h \
 ../../src_3rd/gengeo2d/typecfg_long_double.h ../../src_3rd/opc89.h \
 ../../src_3rd/gengeo2d/common.h ../../src_3rd/gengeo2d/prim.h \
 vtcoutline.h ../libcschem/cnc_arc.h ../libcschem/cnc_line.h
vtoid.o: vtoid.c vtoid.h ../libcschem/common_types.h \
 ../libcschem/config.h
vtoidpath.o: vtoidpath.c vtoid.h ../libcschem/common_types.h \
 ../libcschem/config.h vtoidpath.h ../libcschem/oidpath.h \
 ../libcschem/vtoid.h
